/*                      QBCC Project

This source file is licensed under the GNU Public Licence which should be 
included with the distribution of this source.

*/

#include "qbcc.h"
#include "scanner.h"

///////////////////
// Serious error, (not good) quit QBCC in it's tracks
void SysError(int CodeLine,char *module, char *reason)
{
#ifdef _DEV_
	fprintf(stderr, "curFUNC: %s\nLine: %d\n",curFUNC->name,LineNumber);	
#endif	
	fprintf(stderr, "System Error:\n Module: %s()\nLine: %d\nReason: %s\n",module,CodeLine,reason);	
		
	ShutDown();

	exit(-1);
}

///////////////////
// Error in BAS code (or it could be the compiler's fault?... nah, proggers fault!)
void BASError(int line,char *text)
{
	printf("%s : Error (%d)  %s\n",OrigName,line,text);	
}

///////////////////
// Warning in BAS code
void BASWarning(int line,char *text)
{
	printf("%s : Warning (%d)  %s\n",OrigName,line,text);
}
